
Figure - Bug #117492
【IOVDEV-20376】【IOV测试】【VC1】【SORP】【副屏】【实车341】优酷闪退
2023-04-14 14:44 - 物联网测试组_TSCD 王维

Status: CLOSED Start date: 2023-04-14

Priority: Normal Due date:

Assignee: 物联网项目组-RD3_CDTS 周飞 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 中控版本：03.02.0066.C101��副屏版本：0086

Resolution: -- Degrated: --

Severity: Normal Verified Version: 中控版本：0068��副屏版本：0090

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

实车341

【操作步骤】

1.点击打开优酷

【实际结果】

APP闪退

【期望结果】

正常进入使用

【时间】

4月5号 13:53

【备注】

VIN:LJD8BB3F0P0000341

LOG已经上传云

EE环境

History

#1 - 2023-04-14 16:22 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to 物联网测试组_TSCD 王维

- Need_Info changed from -- to TEST

Hi 王维

本地未复现该问题，请帮忙同步客户的日志到此redmine票中

谢谢

#2 - 2023-04-14 17:44 - 物联网测试组_TSCD 王维

- Assignee changed from 物联网测试组_TSCD 王维 to CD FW 曹覃刚

- Verified Version set to 中控版本：0068

副屏版本：0090
日志和视频已上传ftp

ftp://cdiot@192.168.87.46/log/20376

#3 - 2023-04-15 11:34 - CD FW 曹覃刚

- Category changed from CD-FW to AUDIO-FW

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to Multimedia组-RD3_TSCD 梁卿山

Hi 卿山

--------------------------

04-14 17:17:37.048 22488 22488 F DEBUG   : * 

04-14 17:17:37.048 22488 22488 F DEBUG   : Build fingerprint: 'TC/figure_CN/figure:12/SKQ1.220201.001/2820:user/test-keys'

04-14 17:17:37.048 22488 22488 F DEBUG   : Revision: '0'

04-14 17:17:37.048 22488 22488 F DEBUG   : ABI: 'arm'

04-14 17:17:37.048 22488 22488 F DEBUG   : Timestamp: 2023-04-14 17:17:36.758276752+0800

04-14 17:17:37.048 22488 22488 F DEBUG   : Process uptime: 0s

04-14 17:17:37.048 22488 22488 F DEBUG   : Cmdline: com.youku.phone

04-14 17:17:37.048 22488 22488 F DEBUG   : pid: 21831, tid: 22062, name: NativeThread  >>> com.youku.phone <<<

04-14 17:17:37.048 22488 22488 F DEBUG   : uid: 10197

04-14 17:17:37.048 22488 22488 F DEBUG   : signal 7 (SIGBUS), code 1 (BUS_ADRALN), fault addr 0xb610c312

04-14 17:17:37.048 22488 22488 F DEBUG   :     r0  b60c2e70  r1  b610c312  r2  00000000  r3  00000000

04-14 17:17:37.048 22488 22488 F DEBUG   :     r4  b60c2e70  r5  00000031  r6  b60c2e90  r7  b60c2ed0

04-14 17:17:37.048 22488 22488 F DEBUG   :     r8  00000000  r9  f2cc1230  r10 00000000  r11 00000000

04-14 17:17:37.048 22488 22488 F DEBUG   :     ip  f22361d0  sp  b60c2e48  lr  ef1f2ca7  pc  ee89465a

04-14 17:17:37.048 22488 22488 F DEBUG   : backtrace:

04-14 17:17:37.048 22488 22488 F DEBUG   :       #00 pc 0001465a  /system/lib/libmediadrm.so (android::DrmHal::createPlugin(unsigned char const, android::String8

const&)+810) (BuildId: a09142dabde5c71f42cad8e0554d4644)

04-14 17:17:37.048 22488 22488 F DEBUG   :       #01 pc 00011e3d  /system/lib/libmediandk.so (AMediaDrm_createByUUID+808) (BuildId:

61b96ce3f03e71f3fb954f85fb05b3e5)

04-14 17:17:37.048 22488 22488 F DEBUG   :       #02 pc 000a371f 

/data/app/~~f-cb0pw_Ffdj9mEuptVjDA==/com.youku.phone-Nl0xiuOBIv_Klkhvbj058A==/lib/arm/libsgmainso-6.5.15319409.so

04-14 17:17:37.048 22488 22488 F DEBUG   :       #03 pc 000a3d7b 

/data/app/~~f-cb0pw_Ffdj9mEuptVjDA==/com.youku.phone-Nl0xiuOBIv_Klkhvbj058A==/lib/arm/libsgmainso-6.5.15319409.so

04-14 17:17:37.048 22488 22488 F DEBUG   :       #04 pc 000ae788 

/data/app/~~f-cb0pw_Ffdj9mEuptVjDA==/com.youku.phone-Nl0xiuOBIv_Klkhvbj058A==/lib/arm/libsgmainso-6.5.15319409.so

--------------------------

在日志中发现几处上述错误日志，导致了优酷闪退

发生问题的地方为，应用内部调用了DrmHal，音视频相关

请帮助解析推进此问题，谢谢

#4 - 2023-04-19 14:45 - Multimedia组-RD3_TSCD 梁卿山

- File youku.txt added

Hi all,

优酷打开时，报security相关问题。日志见附件

04-19 14:35:51.415  1021  2638 W ActivityManager: Unable to start service Intent { act=mtopsdk.xstate.aidl.IXState cat=[android.intent.category.DEFAULT]

pkg=com.youku.phone cmp=com.youku.phone/mtopsdk.xstate.XStateService } U=0: not found

04-19 14:35:51.416  1021  2638 E DatabaseUtils: Writing exception to parcel
04-19 14:35:51.416  1021  2638 E DatabaseUtils: java.lang.SecurityException: com.youku.phone was not granted  this permission: android.permission.WRITE_SETTINGS.

04-19 14:35:51.416  1021  2638 E DatabaseUtils:     at android.provider.Settings.isCallingPackageAllowedToPerformAppOpsProtectedOperation(Settings.java:17094)

04-19 14:35:51.416  1021  2638 E DatabaseUtils:     at android.provider.Settings.checkAndNoteWriteSettingsOperation(Settings.java:16982)

04-19 14:35:51.416  1021  2638 E DatabaseUtils:     at com.android.providers.settings.SettingsProvider.mutateSystemSetting(SettingsProvider.java:1854)

04-19 14:35:51.416  1021  2638 E DatabaseUtils:     at com.android.providers.settings.SettingsProvider.insertSystemSetting(SettingsProvider.java:1820)

04-19 14:35:51.416  1021  2638 E DatabaseUtils:     at com.android.providers.settings.SettingsProvider.call(SettingsProvider.java:461)

04-19 14:35:51.416  1021  2638 E DatabaseUtils:     at android.content.ContentProvider.call(ContentProvider.java:2464)

04-19 14:35:51.416  1021  2638 E DatabaseUtils:     at android.content.ContentProvider$Transport.call(ContentProvider.java:512)

04-19 14:35:51.416  1021  2638 E DatabaseUtils:     at android.content.ContentProviderNative.onTransact(ContentProviderNative.java:295)

04-19 14:35:51.416  1021  2638 E DatabaseUtils:     at android.os.Binder.execTransactInternal(Binder.java:1179)

04-19 14:35:51.416  1021  2638 E DatabaseUtils:     at android.os.Binder.execTransact(Binder.java:1143)

04-19 14:35:51.427  8876  8910 E ykBoot  : main Alpha Thread #7 i ed

04-19 14:35:51.428  8876  8927 E MotuCrashSDK: try to find system trace file, but file not exist. 

04-19 14:35:51.428  8876  8876 E ykBoot  : main main CrashReportTask ed

04-19 14:35:51.428  8876  8876 E TaskDispatcher: [Put back finish task], UI thread go to the next stage.

04-19 14:35:51.429  8876  8876 E ykBoot  : com.youku.phone -> start application block project

04-19 14:35:51.429  8876  8901 E ykBoot  : MainUnBlockBootProject config task list is empty

04-19 14:35:51.429  8876  8901 E ykBoot  : start application unblock project

04-19 14:35:51.429  8876  8901 E ykBoot  : main Alpha Thread #1 UtTask st

04-19 14:35:51.429  8876  8901 E ykBoot  : main Alpha Thread #1 UtTask ed

04-19 14:35:51.430  8876  8901 E ykBoot  : main Alpha Thread #1 CommonAdInitTask st

04-19 14:35:51.431  8876  8901 E likui   : pid e3068bf68aebeeab

04-19 14:35:51.412  8876  8876 I com.youku.phone: type=1400 audit(0.0:12600): avc: denied { read } for name="version" dev="proc" ino=4026532247

scontext=u:r:untrusted_app_27:s0:c105,c256,c512,c768 tcontext=u:object_r:proc_version:s0 tclass=file permissive=1 app=com.youku.phone

#5 - 2023-04-19 17:09 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD FW 曹覃刚

Hi all，

优酷允许修改系统设置->off:

报错信息如下：

04-16 02:02:37.381  1019 12856 E DatabaseUtils: Writing exception to parcel

04-16 02:02:37.381  1019 12856 E DatabaseUtils: java.lang.SecurityException: com.youku.phone was not granted  this permission: android.permission.WRITE_SETTINGS.

04-16 02:02:37.381  1019 12856 E DatabaseUtils:     at android.provider.Settings.isCallingPackageAllowedToPerformAppOpsProtectedOperation(Settings.java:17094)

04-16 02:02:37.381  1019 12856 E DatabaseUtils:     at android.provider.Settings.checkAndNoteWriteSettingsOperation(Settings.java:16982)

04-16 02:02:37.381  1019 12856 E DatabaseUtils:     at com.android.providers.settings.SettingsProvider.mutateSystemSetting(SettingsProvider.java:1854)

04-16 02:02:37.381  1019 12856 E DatabaseUtils:     at com.android.providers.settings.SettingsProvider.insertSystemSetting(SettingsProvider.java:1820)

04-16 02:02:37.381  1019 12856 E DatabaseUtils:     at com.android.providers.settings.SettingsProvider.call(SettingsProvider.java:461)

04-16 02:02:37.381  1019 12856 E DatabaseUtils:     at android.content.ContentProvider.call(ContentProvider.java:2464)

04-16 02:02:37.381  1019 12856 E DatabaseUtils:     at android.content.ContentProvider$Transport.call(ContentProvider.java:512)

04-16 02:02:37.381  1019 12856 E DatabaseUtils:     at android.content.ContentProviderNative.onTransact(ContentProviderNative.java:295)

04-16 02:02:37.381  1019 12856 E DatabaseUtils:     at android.os.Binder.execTransactInternal(Binder.java:1179)

04-16 02:02:37.381  1019 12856 E DatabaseUtils:     at android.os.Binder.execTransact(Binder.java:1143)

优酷允许修改系统设置->on:

04-16 02:01:42.893  1019  2030 E DatabaseUtils: Writing exception to parcel

04-16 02:01:42.893  1019  2030 E DatabaseUtils: java.lang.IllegalArgumentException: You cannot keep your settings in the secure settings.

04-16 02:01:42.893  1019  2030 E DatabaseUtils:     at

com.android.providers.settings.SettingsProvider.warnOrThrowForUndesiredSecureSettingsMutationForTargetSdk(SettingsProvider.java:2246)

04-16 02:01:42.893  1019  2030 E DatabaseUtils:     at

com.android.providers.settings.SettingsProvider.enforceRestrictedSystemSettingsMutationForCallingPackage(SettingsProvider.java:2016)
04-16 02:01:42.893  1019  2030 E DatabaseUtils:     at com.android.providers.settings.SettingsProvider.mutateSystemSetting(SettingsProvider.java:1869)

04-16 02:01:42.893  1019  2030 E DatabaseUtils:     at com.android.providers.settings.SettingsProvider.insertSystemSetting(SettingsProvider.java:1820)

04-16 02:01:42.893  1019  2030 E DatabaseUtils:     at com.android.providers.settings.SettingsProvider.call(SettingsProvider.java:461)

04-16 02:01:42.893  1019  2030 E DatabaseUtils:     at android.content.ContentProvider.call(ContentProvider.java:2464)

04-16 02:01:42.893  1019  2030 E DatabaseUtils:     at android.content.ContentProvider$Transport.call(ContentProvider.java:512)

04-16 02:01:42.893  1019  2030 E DatabaseUtils:     at android.content.ContentProviderNative.onTransact(ContentProviderNative.java:295)

04-16 02:01:42.893  1019  2030 E DatabaseUtils:     at android.os.Binder.execTransactInternal(Binder.java:1179)

04-16 02:01:42.893  1019  2030 E DatabaseUtils:     at android.os.Binder.execTransact(Binder.java:1143)

请AF组调查一下此问题，谢谢

#6 - 2023-04-19 17:13 - CD FW 曹覃刚

- Category changed from AUDIO-FW to CD-FW

- Assignee changed from CD FW 曹覃刚 to CD FW-廖涛

#7 - 2023-04-19 20:50 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD FW-廖涛 to 物联网测试组_TSCD 王维

■ My analysis

经过分析，优酷出现崩溃是因为使用了在 Android 6.0 后就禁止修改的系统属性（如 Settings.System 下的、Settings.Secure 下的属性）。

出现问题的版本为 Youku_11.0.20，目前的优酷官网版本。

通过查看第三方应用商店的优酷版本，发现最新版本为 11.0.22，目前在华为应用市场、应用宝、酷安、vivo应用商店、豌豆荚都为最新版，最新版本无

崩溃问题。

结论：

出现崩溃为优酷应用本身问题，更新到最新版本后无此问题，无需处理。

#8 - 2023-04-20 09:51 - 物联网测试组_TSCD 王维

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from 物联网测试组_TSCD 王维 to 物联网项目组-RD3_CDTS 周飞

第三方应用问题引发

#9 - 2023-04-20 09:52 - 物联网测试组_TSCD 王维

- Status changed from RESOLVED to VERIFIED

#10 - 2023-04-20 09:52 - 物联网测试组_TSCD 王维

- Status changed from VERIFIED to CLOSED

Files

优酷闪退.mp4 2.99 MB 2023-04-14 物联网测试组_TSCD 王维

youku.txt 145 KB 2023-04-19 Multimedia组-RD3_TSCD 梁卿山
